Subject: Re: [GROW] WGLC: draft-ietf-grow-irr-routing-policy-considerations

From: "Osterweil, Eric" <[email-masked]>
Date: Tue, 26 Aug 2014 15:13:40 +0000

On May 12, 2014, at 10:04 PM, Christopher Morrow <[email-masked]> wrote:

> in the vein of suggestions, in section 5.1:
>  "Furthermore, the NRTM protocol does not
>   employ any security mechanisms.  The NRTM protocol relies on a pull
>   mechanism and is generally is configured with a poll interval of 5 to
>   10 minutes."
> 
> the second sentence doesn't parse all that well, extra 'is' perhaps?
> also, no validation/security on the protocol seems sketchy, but I
> guess that's part of the point of pointing it out.

Fixed, thanks.

> I'm also not sure this matters:
>  "Cache locality results in reduced
>   bandwidth utilization for each round trip."
> 
> and it's not actually the case, the same bandwidth is used, just not
> across AS boundaries (perhaps)... It's probably the case though that
> the lookups are 'faster' as RTT is generally lower (probably) for the
> cached copy lookups and server capacity-planning can be managed such
> that there aren't contention issues on the cached copies.  (the same
> comment about bandwidth appears further up in section 5.1, it's also
> mostly irrelevant there as well, I think)

I updated it to state this assertion is about "inter-domain" traffic.

Eric

---

From: "Osterweil, Eric" <[email-masked]>
Date: Tue, 26 Aug 2014 15:13:47 +0000

Thanks for the comments Wes!

On May 12, 2014, at 4:54 PM, "George, Wes" <[email-masked]> wrote:

> I think the authors need to look at this
> http://iepg.org/2014-03-02-ietf89/ietf89_iepg_jmauch.pdf and make some
> updates to section 7. Doesn’t really seem like all of those problems are
> historical.

Added that citation and some text, thanks!

> It would be extremely helpful to have a summary or conclusion section that
> makes it clearer which problems are still in need of a solution,
> especially if the goal is to have IETF provide all or part of that
> solution. I think that it is useful to categorize the problems into things
> that are essentially old, solved problems and therefore used as FUD
> objections vs things that are still known issues, but a clearer call to
> action to resolve the still outstanding issues would make this draft much
> stronger.

Added, thanks!

> Draft also needs text in the security considerations section.

Added, thanks!

> Lastly, why is this a standards-track document and not informational?

Fixed!

Eric

---

From: Christopher Morrow <[email-masked]>
Date: Wed, 27 Aug 2014 10:18:50 -0400

if you could kick out a new version we can re-read and push this in
the right direction.

thanks for the pokery so far though! :)

---

From: Christopher Morrow <[email-masked]>
Date: Wed, 27 Aug 2014 11:32:01 -0400

oh!... I am being sily:

http://tools.ietf.org/html/draft-ietf-grow-irr-routing-policy-considerations-04

popped out of the sausage factory 8/26, so clearly you're talking from
the revised doc already.

So, instead of 'can you poke out a new version', how about:
  Can the commenters say whether or not the changes are sufficient to
move this along to publication-requested?

-chris
(thanks anonymous commenter for sending me in the correct direction!)